@loopback/docs
Version:
Documentation for LoopBack 4
1,683 lines • 567 kB
JSON
{
"metadata": {
"toolPackage": "@microsoft/api-extractor",
"toolVersion": "7.2.1",
"schemaVersion": 1001,
"oldestForwardsCompatibleVersion": 1001
},
"kind": "Package",
"canonicalReference": "@loopback/rest",
"docComment": "",
"name": "@loopback/rest",
"members": [
{
"kind": "EntryPoint",
"canonicalReference": "",
"name": "",
"members": [
{
"kind": "Interface",
"canonicalReference": "(ApiExplorerOptions:interface)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "export interface "
},
{
"kind": "Reference",
"text": "ApiExplorerOptions"
},
{
"kind": "Content",
"text": " "
}
],
"releaseTag": "Public",
"name": "ApiExplorerOptions",
"members": [
{
"kind": "PropertySignature",
"canonicalReference": "disabled",
"docComment": "/**\n * Set this flag to disable the built-in redirect to externally hosted API Explorer UI.\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "disabled"
},
{
"kind": "Content",
"text": "?: "
},
{
"kind": "Content",
"text": "true"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "disabled",
"propertyTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
}
},
{
"kind": "PropertySignature",
"canonicalReference": "httpUrl",
"docComment": "/**\n * URL for the API explorer served over `http` protocol to deal with mixed content security imposed by browsers as the spec is exposed over `http` by default. See https://github.com/strongloop/loopback-next/issues/1603\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "httpUrl"
},
{
"kind": "Content",
"text": "?: "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "httpUrl",
"propertyTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
}
},
{
"kind": "PropertySignature",
"canonicalReference": "url",
"docComment": "/**\n * URL for the hosted API explorer UI default to https://loopback.io/api-explorer\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "url"
},
{
"kind": "Content",
"text": "?: "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "url",
"propertyTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
}
}
],
"extendsTokenRanges": []
},
{
"kind": "Function",
"canonicalReference": "(assignRouterSpec:0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "export declare function "
},
{
"kind": "Reference",
"text": "assignRouterSpec"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "target"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "RouterSpec"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "additions"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "RouterSpec"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Content",
"text": "void"
},
{
"kind": "Content",
"text": ";"
}
],
"returnTypeTokenRange": {
"startIndex": 11,
"endIndex": 12
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "target",
"parameterTypeTokenRange": {
"startIndex": 5,
"endIndex": 6
}
},
{
"parameterName": "additions",
"parameterTypeTokenRange": {
"startIndex": 9,
"endIndex": 10
}
}
],
"name": "assignRouterSpec"
},
{
"kind": "Class",
"canonicalReference": "(BaseRoute:class)",
"docComment": "/**\n * Base implementation of RouteEntry\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "export declare abstract class "
},
{
"kind": "Reference",
"text": "BaseRoute"
},
{
"kind": "Content",
"text": " implements "
},
{
"kind": "Reference",
"text": "RouteEntry"
},
{
"kind": "Content",
"text": " "
}
],
"releaseTag": "Public",
"name": "BaseRoute",
"members": [
{
"kind": "Constructor",
"canonicalReference": "(:constructor,0)",
"docComment": "/**\n * Construct a new route\n *\n * @param verb - http verb\n *\n * @param path - http request path pattern\n *\n * @param spec - OpenAPI operation spec\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "constructor("
},
{
"kind": "Reference",
"text": "verb"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "path"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "spec"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "OperationObject"
},
{
"kind": "Content",
"text": ");"
}
],
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "verb",
"parameterTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
}
},
{
"parameterName": "path",
"parameterTypeTokenRange": {
"startIndex": 7,
"endIndex": 8
}
},
{
"parameterName": "spec",
"parameterTypeTokenRange": {
"startIndex": 11,
"endIndex": 12
}
}
]
},
{
"kind": "Method",
"canonicalReference": "(describe:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "describe"
},
{
"kind": "Content",
"text": "(): "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [],
"name": "describe"
},
{
"kind": "Method",
"canonicalReference": "(invokeHandler:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "abstract "
},
{
"kind": "Reference",
"text": "invokeHandler"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "requestContext"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "args"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "OperationArgs"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Reference",
"text": "Promise"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "OperationRetval"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 11,
"endIndex": 15
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "requestContext",
"parameterTypeTokenRange": {
"startIndex": 5,
"endIndex": 6
}
},
{
"parameterName": "args",
"parameterTypeTokenRange": {
"startIndex": 9,
"endIndex": 10
}
}
],
"name": "invokeHandler"
},
{
"kind": "Property",
"canonicalReference": "(path:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "readonly "
},
{
"kind": "Reference",
"text": "path"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "path",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
},
{
"kind": "Property",
"canonicalReference": "(spec:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "readonly "
},
{
"kind": "Reference",
"text": "spec"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "OperationObject"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "spec",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
},
{
"kind": "Method",
"canonicalReference": "(updateBindings:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "abstract "
},
{
"kind": "Reference",
"text": "updateBindings"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "requestContext"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Content",
"text": "void"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 7,
"endIndex": 8
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "requestContext",
"parameterTypeTokenRange": {
"startIndex": 5,
"endIndex": 6
}
}
],
"name": "updateBindings"
},
{
"kind": "Property",
"canonicalReference": "(verb:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "readonly "
},
{
"kind": "Reference",
"text": "verb"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "verb",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
}
],
"implementsTokenRanges": [
{
"startIndex": 3,
"endIndex": 5
}
]
},
{
"kind": "Class",
"canonicalReference": "(BindElementProvider:class)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "export declare class "
},
{
"kind": "Reference",
"text": "BindElementProvider"
},
{
"kind": "Content",
"text": " implements "
},
{
"kind": "Reference",
"text": "Provider"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "BindElement"
},
{
"kind": "Content",
"text": "> "
}
],
"releaseTag": "Public",
"name": "BindElementProvider",
"members": [
{
"kind": "Constructor",
"canonicalReference": "(:constructor,0)",
"docComment": "/**\n * Constructs a new instance of the `BindElementProvider` class\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "constructor("
},
{
"kind": "Reference",
"text": "context"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": ");"
}
],
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "context",
"parameterTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
}
}
]
},
{
"kind": "Method",
"canonicalReference": "(action:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "action"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "key"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Reference",
"text": "Binding"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 6,
"endIndex": 7
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "key",
"parameterTypeTokenRange": {
"startIndex": 4,
"endIndex": 5
}
}
],
"name": "action"
},
{
"kind": "Property",
"canonicalReference": "(context:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "protected "
},
{
"kind": "Reference",
"text": "context"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "context",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
},
{
"kind": "Method",
"canonicalReference": "(value:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "value"
},
{
"kind": "Content",
"text": "(): "
},
{
"kind": "Reference",
"text": "BindElement"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [],
"name": "value"
}
],
"implementsTokenRanges": [
{
"startIndex": 3,
"endIndex": 7
}
]
},
{
"kind": "Interface",
"canonicalReference": "(BodyParser:interface)",
"docComment": "/**\n * Interface to be implemented by body parser extensions\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "export interface "
},
{
"kind": "Reference",
"text": "BodyParser"
},
{
"kind": "Content",
"text": " "
}
],
"releaseTag": "Public",
"name": "BodyParser",
"members": [
{
"kind": "MethodSignature",
"canonicalReference": "(parse:0)",
"docComment": "/**\n * Parse the request body\n *\n * @param request - http request\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "parse"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "request"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Request"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Reference",
"text": "Promise"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "RequestBody"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ";"
}
],
"returnTypeTokenRange": {
"startIndex": 6,
"endIndex": 10
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "request",
"parameterTypeTokenRange": {
"startIndex": 4,
"endIndex": 5
}
}
],
"name": "parse"
},
{
"kind": "MethodSignature",
"canonicalReference": "(supports:0)",
"docComment": "/**\n * Indicate if the given media type is supported\n *\n * @param mediaType - Media type\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "supports"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "mediaType"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Content",
"text": "boolean"
},
{
"kind": "Content",
"text": ";"
}
],
"returnTypeTokenRange": {
"startIndex": 6,
"endIndex": 7
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "mediaType",
"parameterTypeTokenRange": {
"startIndex": 4,
"endIndex": 5
}
}
],
"name": "supports"
},
{
"kind": "PropertySignature",
"canonicalReference": "name",
"docComment": "/**\n * Name of the parser\n */\n",
"excerptTokens": [
{
"kind": "Reference",
"text": "name"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string | symbol"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "name",
"propertyTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
}
}
],
"extendsTokenRanges": []
},
{
"kind": "Function",
"canonicalReference": "(compareRoute:0)",
"docComment": "/**\n * Compare two routes by verb/path for sorting\n *\n * @param route1 - First route entry\n *\n * @param route2 - Second route entry\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "export declare function "
},
{
"kind": "Reference",
"text": "compareRoute"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "route1"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Pick"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "RouteEntry"
},
{
"kind": "Content",
"text": ", 'verb' | 'path'>"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "route2"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Pick"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "RouteEntry"
},
{
"kind": "Content",
"text": ", 'verb' | 'path'>"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Content",
"text": "number"
},
{
"kind": "Content",
"text": ";"
}
],
"returnTypeTokenRange": {
"startIndex": 17,
"endIndex": 18
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "route1",
"parameterTypeTokenRange": {
"startIndex": 5,
"endIndex": 9
}
},
{
"parameterName": "route2",
"parameterTypeTokenRange": {
"startIndex": 12,
"endIndex": 16
}
}
],
"name": "compareRoute"
},
{
"kind": "Class",
"canonicalReference": "(ControllerRoute:class)",
"docComment": "/**\n * A route backed by a controller\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "export declare class "
},
{
"kind": "Reference",
"text": "ControllerRoute"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "T"
},
{
"kind": "Content",
"text": "> extends "
},
{
"kind": "Reference",
"text": "BaseRoute"
},
{
"kind": "Content",
"text": " "
}
],
"releaseTag": "Public",
"typeParameters": [
{
"typeParameterName": "T",
"constraintTokenRange": {
"startIndex": 0,
"endIndex": 0
},
"defaultTypeTokenRange": {
"startIndex": 0,
"endIndex": 0
}
}
],
"name": "ControllerRoute",
"members": [
{
"kind": "Property",
"canonicalReference": "(_controllerCtor:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "protected readonly "
},
{
"kind": "Reference",
"text": "_controllerCtor"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "ControllerClass"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "T"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "_controllerCtor",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 7
},
"isStatic": false
},
{
"kind": "Property",
"canonicalReference": "(_controllerFactory:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "protected readonly "
},
{
"kind": "Reference",
"text": "_controllerFactory"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "ControllerFactory"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "T"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "_controllerFactory",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 7
},
"isStatic": false
},
{
"kind": "Property",
"canonicalReference": "(_controllerName:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "protected readonly "
},
{
"kind": "Reference",
"text": "_controllerName"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "_controllerName",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
},
{
"kind": "Property",
"canonicalReference": "(_methodName:instance)",
"docComment": "",
"excerptTokens": [
{
"kind": "Content",
"text": "protected readonly "
},
{
"kind": "Reference",
"text": "_methodName"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"releaseTag": "Public",
"name": "_methodName",
"propertyTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
},
"isStatic": false
},
{
"kind": "Constructor",
"canonicalReference": "(:constructor,0)",
"docComment": "/**\n * Construct a controller based route\n *\n * @param verb - http verb\n *\n * @param path - http request path\n *\n * @param spec - OpenAPI operation spec\n *\n * @param controllerCtor - Controller class\n *\n * @param controllerFactory - A factory function to create a controller instance\n *\n * @param methodName - Controller method name, default to `x-operation-name`\n */\n",
"excerptTokens": [
{
"kind": "Content",
"text": "constructor("
},
{
"kind": "Reference",
"text": "verb"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "path"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "spec"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "OperationObject"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "controllerCtor"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "ControllerClass"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "T"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "controllerFactory"
},
{
"kind": "Content",
"text": "?: "
},
{
"kind": "Reference",
"text": "ControllerFactory"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "T"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "methodName"
},
{
"kind": "Content",
"text": "?: "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ");"
}
],
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "verb",
"parameterTypeTokenRange": {
"startIndex": 3,
"endIndex": 4
}
},
{
"parameterName": "path",
"parameterTypeTokenRange": {
"startIndex": 7,
"endIndex": 8
}
},
{
"parameterName": "spec",
"parameterTypeTokenRange": {
"startIndex": 11,
"endIndex": 12
}
},
{
"parameterName": "controllerCtor",
"parameterTypeTokenRange": {
"startIndex": 15,
"endIndex": 19
}
},
{
"parameterName": "controllerFactory",
"parameterTypeTokenRange": {
"startIndex": 22,
"endIndex": 26
}
},
{
"parameterName": "methodName",
"parameterTypeTokenRange": {
"startIndex": 29,
"endIndex": 30
}
}
]
},
{
"kind": "Method",
"canonicalReference": "(describe:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "describe"
},
{
"kind": "Content",
"text": "(): "
},
{
"kind": "Content",
"text": "string"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 2,
"endIndex": 3
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [],
"name": "describe"
},
{
"kind": "Method",
"canonicalReference": "(invokeHandler:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "invokeHandler"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "requestContext"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": ", "
},
{
"kind": "Reference",
"text": "args"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "OperationArgs"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Reference",
"text": "Promise"
},
{
"kind": "Content",
"text": "<"
},
{
"kind": "Reference",
"text": "OperationRetval"
},
{
"kind": "Content",
"text": ">"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 10,
"endIndex": 14
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "requestContext",
"parameterTypeTokenRange": {
"startIndex": 4,
"endIndex": 5
}
},
{
"parameterName": "args",
"parameterTypeTokenRange": {
"startIndex": 8,
"endIndex": 9
}
}
],
"name": "invokeHandler"
},
{
"kind": "Method",
"canonicalReference": "(updateBindings:instance,0)",
"docComment": "",
"excerptTokens": [
{
"kind": "Reference",
"text": "updateBindings"
},
{
"kind": "Content",
"text": "("
},
{
"kind": "Reference",
"text": "requestContext"
},
{
"kind": "Content",
"text": ": "
},
{
"kind": "Reference",
"text": "Context"
},
{
"kind": "Content",
"text": "): "
},
{
"kind": "Content",
"text": "void"
},
{
"kind": "Content",
"text": ";"
}
],
"isStatic": false,
"returnTypeTokenRange": {
"startIndex": 6,
"endIndex": 7
},
"releaseTag": "Public",
"overloadIndex": 0,
"parameters": [
{
"parameterName": "requestContext",
"parameterTypeTokenRange": {
"startIndex": 4,
"endIndex": 5
}
}
],
"name": "updateBindings"
}
],
"extendsTokenRange": {
"startIndex": 5,
"endIndex": 7
},
"implementsTokenRanges": []
},
{
"kind": "Function",
"canonicalReference": "(createBodyParserBinding:0)",
"docComment": "/**\n * Create a binding for the given body parser class\n *\n * @param parserClass - Body